#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K,a[200000],i,j,moc,brojac=0;

    scanf("%d%d",&N,&K);

    for(i=0;i<N;i++)
            scanf("%d",&a[i]);
    i=0;
    j=N-1;
    moc=0;
    while(brojac<K-1 && i<N && j>-1)
    {
        if(a[i]>=a[j])
        {
            moc+=a[i]-a[j];
            j=j-1;
        }
        else
        {
            moc+=a[j]-a[i];
            i++;

        }
        brojac++;
    }
    printf("%d", moc);



    return 0;
}